# Create a contact Creates a contact for a specified account. Each account must have at least one contact before it can be saved. You can add a maximum of 2000 contacts to an account. Endpoint: POST /v1/contacts Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountId` (string) The ID of the account associated with the contact. Note: When creating a contact, you must specify accountNumber, accountId, or both in the request body. If both fields are specified, they must correspond to the same account. Example: "6e767220676e6e61206776652075207570" - `accountNumber` (string) The number of the customer account associated with the contact. Note: When creating a contact, you must specify accountNumber, accountId, or both in the request body. If both fields are specified, they must correspond to the same account. Example: "A00000001" - `address1` (string) The first line of the contact's address, which is often a street address or business name. Example: "314, Bongora" - `address2` (string) The second line of the contact's address. Example: "near Tech City" - `asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `city` (string) The city of the contact's address. Example: "GHY" - `contactDescription` (string) A description for the contact. Example: "This is a description for the contact" - `country` (string) The country of the contact's address. Either a full name or an ISO code is supported. Example: "India" - `county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `fax` (string) The contact's fax number. Example: "6174" - `firstName` (string, required) The contact's first name. Example: "Kuhi" - `homePhone` (string) The contact's home phone number. Example: "1234123" - `lastName` (string, required) The contact's last name. Example: "Das" - `mobilePhone` (string) The mobile phone number of the contact. Example: "123213" - `nickname` (string) A nickname for the contact. Example: "Dorimi" - `otherPhone` (string) An additional phone number for the contact. Example: "2314213" - `otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `personalEmail` (string) The contact's personal email address. Example: "kuhiroll@example.com" - `state` (string) The state or province of the contact's address. Either a full name or an abbreviation code is supported. Example: "Assam" - `taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. Not required. - `workEmail` (string) The contact's business email address. - `workPhone` (string) The contact's business phone number. - `zipCode` (string) The zip code for the contact's address. Example: "123456" ## Response 200 fields (application/json): - `accountId` (string) The ID of the account associated with the contact. - `accountNumber` (string) The number of the customer account associated with the contact. - `address1` (string) The first line of the contact's address, which is often a street address or business name. - `address2` (string) The second line of the contact's address. - `asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `city` (string) The city of the contact's address. - `contactDescription` (string) A description for the contact. - `country` (string) The full country name of the contact's address. - `county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `fax` (string) The contact's fax number. - `firstName` (string) The contact's first name. - `homePhone` (string) The contact's home phone number. - `lastName` (string) The contact's last name. - `mobilePhone` (string) The mobile phone number of the contact. - `nickname` (string) A nickname for the contact. - `otherPhone` (string) An additional phone number for the contact. - `otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `personalEmail` (string) The contact's personal email address. - `state` (string) The full state or province name of the contact's address. - `success` (boolean) Returns true if the request was processed successfully. - `taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. Not required. - `workEmail` (string) The contact's business email address. - `workPhone` (string) The contact's business phone number. - `zipCode` (string) The zip code for the contact's address. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.